# 项目部署文档

## 一、MySQL8 数据库部署

项目的数据库基于docker部署，默认用户名为 root 默认的密码为 root_20190113,即当天数据库部署日期。
使用的数据库版本为：8.0.13；

本文以工商192.168.1.202 服务器为例

一下为操作步骤：

 - 登录服务器：root gxzc666
 - 拉取MySQL镜像：docker pull mysql:8.0.13
 - 运行mysql容器：
 docker run -d --name mysql8 -p 3307:3306 -v /envir/mysql/cnf:/etc/mysql/conf.d -v /envir/mysql/data:/var/lib/mysql 
 -e MYSQL_ROOT_PASSWORD="root_20190116" mysql:8.0.13
 
 - 进入容器，分配用户及权限:docker exec -it mysql8 bash
 - 使用mysql 进入数据库命令行：mysql -uroot -p ，输入密码：root_20190116
 - 创建个系统使用的用户，这里不一一说明。为了方便，这里统一给各个系统创建同一个账号：envir  envir
    <br> create user envir@'envir' identified with mysql_native_password by 'envir'<br>
    
 - 给用户授予事物恢复的权限；XA_RECOVER_ADMIN,  grant XA_RECOVER_ADMIN on *.* to envir@'envir';
 - 刷新权限：flush privileges;
 - 创建数据库，建表；
  - mysql 时区问题
 
          -e TZ=Asis/Shanghai   生成容器的时候，指定时区
         set global time_zone = '+8:00'  临时修改，重启后失效
         
 
## 二、文件服务器部署
文件服务器采用的是fastdfs分布式服务器。
该服务器分成两部分：跟踪服务器和文件存储服务器。
部署该服务同样采用docker 容器

 