package cn.tonyandmoney.tuon.core.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Classname BatisMetaProperties
 * @Description TODO
 * @Date 2019/8/25 19:37
 * @Created by Administrator
 * 一些自定义信息
 */
@ConfigurationProperties(prefix = "spring.batis.meta")
public class BatisMetaProperties {


    private String createBy = "createBy";
    private String createTime = "createTime";
    private String updateBy = "updateBy";
    private String updateTime = "updateTime";


    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
