package cn.tonyandmoney.tuon.core.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Classname CustomConfigProperties
 * @Description TODO
 * @Date 2019/8/25 20:34
 * @Created by Administrator
 */
@ConfigurationProperties(prefix = "tuon.config")
public class CustomConfigProperties {

    /**
     * 跨域设置的前缀
     */
    public static final String CROS_PREFIX="tuon.config.cros";
    private CrosCfg cros;

    public void setCros(CrosCfg cros) {
        this.cros = cros;
    }

    public CrosCfg getCros() {
        return cros;
    }


    public static class CrosCfg{
        private boolean enable=true;

        public void setEnable(boolean enable) {
            this.enable = enable;
        }

        public boolean isEnable() {
            return enable;
        }
    }

}
