package cn.gygxzc.envir.core.orm.injector.method

import cn.gygxzc.envir.core.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import org.apache.ibatis.mapping.MappedStatement
import org.apache.ibatis.scripting.defaults.RawSqlSource

/**
 * Created by niantuo on 2018/9/29.
 */

class SelectById : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.SELECT_BY_ID
        val sqlSource = RawSqlSource(configuration, String.format(sqlMethod.sql, this.sqlSelectColumns(tableInfo, false),
                tableInfo.tableName, tableInfo.keyColumn, tableInfo.keyProperty), Any::class.java)
        return this.addSelectMappedStatement(mapperClass, sqlMethod.method, sqlSource, modelClass, tableInfo)
    }
}