package cn.tonyandmoney.tuon.qywx.bean;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.StringUtils;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class WxUserInfo extends WxBaseResult {

    @JsonProperty("UserId")
    private String UserId;
    @JsonProperty("OpenId")
    private String OpenId;
    @JsonProperty("DeviceId")
    private String DeviceId;


    public void setDeviceId(String deviceId) {
        DeviceId = deviceId;
    }

    public String getDeviceId() {
        return DeviceId;
    }

    public String getUserId() {
        return UserId;
    }

    public void setUserId(String userId) {
        UserId = userId;
    }

    public String getOpenId() {
        return OpenId;
    }

    public void setOpenId(String openId) {
        OpenId = openId;
    }

    public String getId() {
        if (StringUtils.isBlank(UserId)) {
            return OpenId;
        }
        return UserId;
    }

    @Override
    public String toString() {
        return "errcode:" + getErrcode() + ",errmsg:" + getErrmsg() + ",id: " + getId();
    }
}
