package cn.tonyandmoney.tuon.qywx.controller

import cn.tonyandmoney.tuon.qywx.bean.WxMsgTo
import cn.tonyandmoney.tuon.qywx.bean.WxMsgToResp
import cn.tonyandmoney.tuon.qywx.service.IQywxMsgService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import reactor.core.publisher.Mono

@RestController
@RequestMapping("/wx/msg")
class WxMsgController {

    @Autowired
    private lateinit var msgService: IQywxMsgService

    @PostMapping
    fun sendMsgTo(@RequestBody msg: WxMsgTo): Mono<WxMsgToResp> {
        return msgService.sendMsg(msg)
    }
}