package cn.tonyandmoney.tuon.qywx.service

import cn.tonyandmoney.tuon.qywx.bean.WxMsgTo
import cn.tonyandmoney.tuon.qywx.bean.WxMsgToResp
import org.springframework.scheduling.annotation.Async
import reactor.core.publisher.Mono

/**
 * 企业微信消息相关的接口服务于
 */
interface IQywxMsgService {

    /**
     * 异步发送消息
     */
    @Async
    fun sendMsgTo(msgTo: WxMsgTo)

    /**
     * 形式不一样，跟上面的一样的
     */
    fun sendMsg(msgTo: WxMsgTo):Mono<WxMsgToResp>
}