package cn.gygxzc.envir.core.orm.injector

import cn.gygxzc.envir.core.orm.injector.method.*
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.injector.AbstractSqlInjector
import com.baomidou.mybatisplus.core.injector.SqlRunnerInjector
import com.baomidou.mybatisplus.core.injector.methods.Insert
import com.baomidou.mybatisplus.extension.injector.methods.*
import org.apache.ibatis.session.Configuration

/**
 * Created by niantuo on 2018/9/29.
 * 注入器
 */

class LogicMoreSqlInjector : AbstractSqlInjector() {

    override fun getMethodList(): MutableList<AbstractMethod> {
        return mutableListOf(
                Insert(),
                LogicDelete(),
                LogicDeleteByMap(),
                LogicDeleteById(),
                LogicDeleteBatchByIds(),
                LogicUpdate(),
                LogicUpdateById(),
                LogicSelectById(),
                LogicSelectBatchByIds(),
                LogicSelectByMap(),
                LogicSelectOne(),
                LogicSelectCount(),
                LogicSelectMaps(),
                LogicSelectMapsPage(),
                LogicSelectObjs(),
                LogicSelectList(),
                LogicSelectPage(),
                Delete(),
                DeleteBatchIds(),
                DeleteById(),
                DeleteByMap(),
                SelectById(),
                SelectList(),
                SelectPage(),
                Update(),
                UpdateById())
    }

    override fun injectSqlRunner(configuration: Configuration?) {
        SqlRunnerInjector().inject(configuration)
    }
}