package cn.gygxzc.envir.core.orm.injector.enums

/**
 * Created by niantuo on 2018/9/29.
 * 所以实际上这个是从mybatis-plus复制过来的，好尴尬呀
 * @see com.baomidou.mybatisplus.core.enums.SqlMethod
 */

enum class SqlMethodCopy(val method:String,val desc:String,val sql:String) {

    /**
     * 删除
     */
    DELETE_BY_ID("physicalDeleteById", "根据ID 删除一条数据", "<script>\nDELETE FROM %s WHERE %s=#{%s}\n</script>"),
    DELETE_BY_MAP("physicalDeleteByMap", "根据columnMap 条件删除记录", "<script>\nDELETE FROM %s %s\n</script>"),
    DELETE("physicalDelete", "根据 entity 条件删除记录", "<script>\nDELETE FROM %s %s\n</script>"),
    DELETE_BATCH_BY_IDS("physicalDeleteBatchIds", "根据ID集合，批量删除数据", "<script>\nDELETE FROM %s WHERE %s IN (%s)\n</script>"),

    SELECT_BY_ID("physicalSelectById", "根据ID 查询一条数据", "SELECT %s FROM %s WHERE %s=#{%s}"),
    SELECT_PAGE("physicalSelectPage", "查询满足条件所有数据（并翻页）", "<script>\nSELECT %s FROM %s %s\n</script>"),
    SELECT_LIST("physicalsSelectList", "查询满足条件所有数据", "<script>\nSELECT %s FROM %s %s\n</script>"),

    /**
     * 修改
     */
    UPDATE_BY_ID("physicalUpdateById", "根据ID 选择修改数据", "<script>\nUPDATE %s %s WHERE %s=#{%s} %s\n</script>"),
    UPDATE("physicalUpdate", "根据 whereEntity 条件，更新记录", "<script>\nUPDATE %s %s %s\n</script>"),
}