package cn.tonyandmoney.tuon.qywx;


import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.HashMap;
import java.util.Map;

/**
 * 企业微信登录视频
 */
@ConfigurationProperties(prefix = "qywx")
public class QywxProperties {
    private String corpid;
    private String corpSecret;
    private String host="https://qyapi.weixin.qq.com";
    private String accessTokenPath="/cgi-bin/gettoken?corpid={corpid}&corpsecret={corpsecret}";
    private String userInfoPath="/cgi-bin/user/getuserinfo?access_token={access_token}&code={code}";
    private String userGetPath="/cgi-bin/user/get?access_token={access_token}&userid={userid}";
    private String sendMsgPath="/cgi-bin/message/send?access_token={access_token}";
    //消息接收的Token-EncodingAESKey
    private String token="xwKMrU6J";
    private String encodingAESKey="uiSDpQAl9yJHtv5iOS9Nr25oKyrIeRcD30DQHECR3zV";

    private String agentId="1000002";

    /**
     * 每当用户登录的时候，给用户发送消息
     */
    private String welcome="欢迎访问应用！";


    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setWelcome(String welcome) {
        this.welcome = welcome;
    }

    public String getWelcome() {
        return welcome;
    }

    public void setSendMsgPath(String sendMsgPath) {
        this.sendMsgPath = sendMsgPath;
    }

    public String getSendMsgPath() {
        return sendMsgPath;
    }

    public void setEncodingAESKey(String encodingAESKey) {
        this.encodingAESKey = encodingAESKey;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getEncodingAESKey() {
        return encodingAESKey;
    }

    public String getToken() {
        return token;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getAccessTokenPath() {
        return accessTokenPath;
    }

    public void setAccessTokenPath(String accessTokenPath) {
        this.accessTokenPath = accessTokenPath;
    }

    public String getUserInfoPath() {
        return userInfoPath;
    }

    public void setUserInfoPath(String userInfoPath) {
        this.userInfoPath = userInfoPath;
    }

    public String getUserGetPath() {
        return userGetPath;
    }

    public void setUserGetPath(String userGetPath) {
        this.userGetPath = userGetPath;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getCorpSecret() {
        return corpSecret;
    }

    public void setCorpSecret(String corpSecret) {
        this.corpSecret = corpSecret;
    }


}
