package cn.tonyandmoney.tuon.qywx.bean;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Classname WxMsg
 * @Description 企业微信消息的消息实体类
 * @Date 2019/8/26 21:25
 * @Created by Administrator
 */
public class WxMsg {
    @JsonProperty("ToUserName")
    private String ToUserName;
    @JsonProperty("FromUserName")
    private String FromUserName;
    @JsonProperty("CreateTime")
    private String CreateTime;
    @JsonProperty("MsgType")
    private String MsgType;
    @JsonProperty("Content")
    private String Content;
    @JsonProperty("MsgId")
    private String MsgId;
    @JsonProperty("AgentID")
    private String AgentID;

    @JsonIgnore
    public String getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(String createTime) {
        CreateTime = createTime;
    }

    @JsonIgnore
    public String getMsgType() {
        return MsgType;
    }

    public void setMsgType(String msgType) {
        MsgType = msgType;
    }

    @JsonIgnore
    public String getContent() {
        return Content;
    }

    public void setContent(String content) {
        Content = content;
    }

    public void setFromUserName(String fromUserName) {
        FromUserName = fromUserName;
    }

    public void setMsgId(String msgId) {
        MsgId = msgId;
    }

    @JsonIgnore
    public String getFromUserName() {
        return FromUserName;
    }

    @JsonIgnore
    public String getMsgId() {
        return MsgId;
    }

    @JsonIgnore
    public String getToUserName() {
        return ToUserName;
    }

    public void setToUserName(String toUserName) {
        ToUserName = toUserName;
    }


    @JsonIgnore
    public String getAgentID() {
        return AgentID;
    }

    public void setAgentID(String agentID) {
        AgentID = agentID;
    }

    @Override
    public String toString() {
        return "\nWxMsg{" +
                "ToUserName: " + ToUserName + ",\n" +
                "FromUserName:" + FromUserName + ",\n" +
                "CreateTime:" + CreateTime + ",\n" +
                "MsgType:" + MsgType + ",\n" +
                "Content:" + Content + ",\n" +
                "MsgId:" + MsgId + ",\n" +
                "AgentID:" + AgentID  +
                "}";
    }
}
