package cn.tonyandmoney.tuon.qywx.service

import cn.tonyandmoney.tuon.qywx.entity.TDuty
import reactor.core.publisher.Mono
import java.util.*

interface IDutyService :ISearchService{

    /**
     * 添加值班人员
     */
    fun addDuty(duty:TDuty):Mono<Void>

    /**
     * 根据值班日期查询值班信息
     */
    fun queryByDate(date:Date):Mono<List<TDuty>>



}