package cn.tonyandmoney.tuon.qywx.service

import cn.tonyandmoney.tuon.qywx.bean.WxUser
import cn.tonyandmoney.tuon.qywx.bean.WxUserInfo
import reactor.core.publisher.Mono

/**
 * 封装企业微信的接口
 */
interface IQywxService {


    fun getAccessToken(agentId: String): Mono<String>


    fun getUserInfo(agentId: String, code: String): Mono<WxUserInfo>

    fun getUserById(agentId: String, userId: String): Mono<WxUser>


}