package cn.tonyandmoney.tuon.qywx.service.impl

import cn.tonyandmoney.tuon.core.error.BaseResp
import cn.tonyandmoney.tuon.qywx.search.SearchResult
import cn.tonyandmoney.tuon.qywx.service.ISearchService
import org.springframework.stereotype.Service
import reactor.core.publisher.Mono

/**
 * 允许多个搜索
 */
@Service
class SearchHandler : ISearchService {

    companion object {
        const val DESC = "关键词搜索"
    }


    override fun apply(keywords: String): Boolean {
        return true
    }

    override fun search(keywords: String): Mono<BaseResp<List<SearchResult>>> {
        return Mono.just(BaseResp<List<SearchResult>>()
                .setData(emptyList())
                .setMessage(DESC))
    }
}